### Method

# Meta WaylandClient owns_window

#### Declaration [src]

    gboolean
    meta_wayland_client_owns_window (
      MetaWaylandClient* client,
      MetaWindow* window
    )

#### Description [src]

Checks whether `window` belongs to the process launched from `client` or not. This only works under Wayland. If the window is an X11 window, an exception will be triggered.

#### Parameters

`window`

  Type: `MetaWindow`

  A MetaWindow.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the window was created by this process; FALSE if not.